@import url('../../assets/icon/style.css')  all;

::-webkit-scrollbar {
    width: 6px;
    height: 6px;
    opacity: 0.5;
}
::-webkit-scrollbar-track {
    -webkit-box-shadow: inset 0 0 6px rgba(0, 0, 0, 0.3);
    border-radius: 3px;
}
::-webkit-scrollbar-thumb {
    border-radius: 3px;
    -webkit-box-shadow: inset 0 0 6px rgba(0, 0, 0, 0.5);
}
:focus {
    outline: -webkit-focus-ring-color auto 0;
}

html, body{
    background: var(--white-color);
    padding: 0;
    margin: 0;
    font-family: var(--main-font);
    font-size:1rem;
    box-sizing: border-box;
    -moz-box-sizing: border-box;
    -webkit-box-sizing: border-box;
    width:100%;
    height:100%;
}
input, select, textarea, button {
    font-family: var(--main-font);
    outline: none;
    -webkit-appearance: none;
    box-sizing: border-box;
    -moz-box-sizing: border-box;
    -webkit-box-sizing: border-box;
}
div, main, section, nav, header, footer, li, ul, article, blockquote {
    box-sizing: border-box;
    -moz-box-sizing: border-box;
    -webkit-box-sizing: border-box;
}
a, button, img{
    transition: 0.3s!important;
}

a{
    color:var(--link-color);
}
a.no-decor{
    text-decoration: none;
}
a:hover{
    color: var(--danger-color);
}

.bold{
    font-weight: bold;
}
.regular{
    font-weight: 400;
}

main{
    width:100%;
    height:100%;
    overflow: auto;
}

button#menu-btn{
    position: fixed;
    right:1rem;
    top:1rem;
    background: var(--white-color);
    color:var(--blue-color);
    border: 0;
    border-radius: 25px;
    box-shadow: 5px 7px 10px var(--blue-shadow-color);
    width:50px;
    height: 50px;
    display: flex;
    align-items: center;
    justify-content: center;
    font-size: 1.5rem;
}
button#menu-btn:hover{
    background: var(--blue-color);
    color:var(--white-color);
}

.modal {
    backdrop-filter: blur(6px);
    background:rgba(0,0,0,0.2);
}
.offcanvas-footer{
    padding: var(--bs-offcanvas-padding-y) var(--bs-offcanvas-padding-x);
}

ul.main-menu{
    padding:0;
    margin: 0;
}
ul.main-menu li{
    list-style: none;
    padding:5px 12px;
    font-weight: bold;
    font-size: 1rem;
}
ul.main-menu li.active{
    background: var(--danger-color);
}
ul.main-menu li.active a{
    color:var(--white-color);
}
#headerSearch{
    padding-right: 10px;
    width: 100%;
}
#headerSearch ul{
    background: var(--white-color);
    position: absolute;
    z-index:0;
    margin:0;
    padding:0;
    padding-top:40px;
    overflow: hidden;
}
.skip-header{
    padding-top:70px;
}


.word{
    font-size: 3rem;
    color:var(--link-color);
}
.word.lg{
    font-size:6rem;
}

/* Splide */

.splide.round-arrows .splide__arrow{
    background: var(--white-color);
    opacity:1;
    width: 3.5rem;
    height: 3.5rem;
}

.splide .splide__arrow[disabled]{
    display: none;
}

.splide.round-arrows .splide__arrow.splide__arrow--prev,
.splide.bottom-arrows .splide__arrow.splide__arrow--prev{
    left:0;
    transform: translate(-50%, -50%);
}
.splide.round-arrows .splide__arrow.splide__arrow--next,
.splide.bottom-arrows .splide__arrow.splide__arrow--next{
    right:0;
    transform: translate(50%, -50%);
}
.splide.round-arrows .splide__arrow.splide__arrow--prev:hover{
    opacity: 1!important;
    transform: scale(1.15) translate(-50%, -50%);
}
.splide.round-arrows .splide__arrow.splide__arrow--next:hover{
    opacity: 1!important;
    transform: scale(1.15) translate(50%, -50%);
}
.splide.round-arrows .splide__arrow svg path,
.splide.bottom-arrows .splide__arrow svg path{
    fill: var(--danger-color);
}
.splide.bottom-arrows .splide__arrow:hover{
    opacity: 1;
}
.splide.bottom-arrows .splide__arrow:hover svg path{
    fill: var(--danger-color);
}

.splide.round-arrows .splide__pagination {
    bottom: 0;
    left: 50%;
    position: absolute;
    right: auto;
    width:auto;
    padding: 0.7rem 1rem;
    z-index: 1;
    background: var(--white-color);
    transform: translate(-50%, 50%);
    border-radius: 30px;
    gap:5px;
}

.splide.round-arrows .splide__pagination .splide__pagination__page,
.splide.bottom-arrows .splide__pagination .splide__pagination__page{
    width: 0.8rem;
    height: 0.8rem;
    border: 2px solid var(--grey-color);
    background: var(--white-color);
}
.splide.round-arrows .splide__pagination .splide__pagination__page.is-active,
.splide.bottom-arrows .splide__pagination .splide__pagination__page.is-active{
    transform: none;
    border: 2px solid var(--main-green-color);
    background: var(--main-green-color);
}

.splide.bottom-arrows{
    margin-bottom: 70px;
}

.splide.bottom-arrows .splide__arrows{
    position: absolute;
    bottom:-40px;
    left:0;
    width:100%;
}
.splide.bottom-arrows .splide__pagination{
    bottom:-50px;
    left:50%;
    right:auto;
    transform: translateX(-50%);
}

.splide.bottom-arrows .splide__arrow{
    background: var(--white-color);
    opacity:1;
    width: 2rem;
    height: 2rem;
}

/* SWITCH BOX */

/* switchbox  */

.switchbox{
    padding-left: 2.5rem;
    position: relative;
    cursor: pointer;
    transition: all 0.4s ease-in-out;
}
.switchbox:before{
    width:1.8rem;
    position:absolute;
    height:15px;
    border-radius:20px;
    background:var(--muted-waiting-color);
    left:0px;
    top:50%;
    content:'';
    transform:translateY(-50%)
}
.switchbox:after{
    width:15px;
    content:'';
    position:absolute;
    border-radius:20px;
    height:15px;
    background:var(--white-color);
    left:0px;
    top:50%;
    transform:translateY(-50%);
    box-shadow: 0px 2px 4px rgba(0, 0, 0, 0.2);
    transition: left 0.2s ease;
}
.switchbox.checked:before{
    background:var(--success-color);
}
.switchbox.checked:after{
    left:calc(1.8rem - 15px);
}

/* /switchbox  */

/* /SWITCHBOX */